Bug 495372 - Review Request: python-altgraph - Python graph (network) package
Review Request: python-altgraph - Python graph (network) package
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-12 09:13 EDT by Fabian Affolter
Modified: 2009-05-25 17:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.6.7-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 17:28:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-04-12 09:13:43 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-altgraph.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-altgraph-0.6.7-1.fc10.src.rpm

Project URL: http://undefined.org/python/#altgraph

Description:
altgraph is a fork of graphlib: a graph (network) package for constructing
graphs, BFS, and DFS traversals, topological sort, shortest paths, etc. with
graphviz output.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1291954

rpmlint output:
[fab@laptop24 noarch]$ rpmlint python-altgraph-0.6.7-1.fc10.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop24 SRPMS]$ rpmlint python-altgraph-0.6.7-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Susi Lehtola 2009-04-13 11:36:57 EDT
rpmlint output is clean.

MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK

MUST: The spec file for the package is legible and macros are used consistently. OK
- You could omit the ./ in front of setup.py since it's already run explicitly by python.

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK

MUST: The License field in the package spec file must match the actual license. ~OK
- No license headers are present in source code (except __init__.py) and no license file is included. According to PKG-INFO and __init__.py license is MIT.
- Please ask upstream to add license headers.

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.  OK
MUST: Optflags are used and time stamps preserved. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK

MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. NEEDSFIX
- Add PKG-INFO to %doc. Also, I'd just include test_altgraph.py and omit the test/ directory.

MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK

You can do the fixes upon import to CVS. The package has been

APPROVED.
Comment 2 Fabian Affolter 2009-04-13 16:39:42 EDT
Jussi, thanks for the review.

(In reply to comment #1)
> MUST: The spec file for the package is legible and macros are used
> consistently. OK
> - You could omit the ./ in front of setup.py since it's already run explicitly
> by python.

OK, I will change that.
Comment 3 Fabian Affolter 2009-04-13 16:40:49 EDT
New Package CVS Request
=======================
Package Name: python-altgraph
Short Description:  Python graph (network) package
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 4 Kevin Fenzi 2009-04-14 12:16:48 EDT
cvs done.
Comment 5 Fedora Update System 2009-04-17 17:17:18 EDT
python-altgraph-0.6.7-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-altgraph-0.6.7-2.fc9
Comment 6 Fedora Update System 2009-04-17 17:17:23 EDT
python-altgraph-0.6.7-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-altgraph-0.6.7-2.fc10
Comment 7 Fedora Update System 2009-04-17 17:17:27 EDT
python-altgraph-0.6.7-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-altgraph-0.6.7-2.fc11
Comment 8 Fedora Update System 2009-04-21 20:51:01 EDT
python-altgraph-0.6.7-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update python-altgraph'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3772
Comment 9 Fedora Update System 2009-04-21 21:11:12 EDT
python-altgraph-0.6.7-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-altgraph'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3866
Comment 10 Fedora Update System 2009-04-27 17:28:26 EDT
python-altgraph-0.6.7-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-04-27 17:33:40 EDT
python-altgraph-0.6.7-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-05-25 17:08:13 EDT
python-altgraph-0.6.7-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.